Package org.apache.tapestry5.internal.services

## Class AbstractAsset

- java.lang.Object
- - org.apache.tapestry5.internal.services.AbstractAsset

- All Implemented Interfaces:
    `Asset`
  Direct Known Subclasses:
    `UrlAsset`

      public abstract class AbstractAsset
      extends java.lang.Object
      implements Asset

  Base class for assets.
  Since:
    5.1.0.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractAsset​(boolean invariant)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isInvariant()` | Returns true if the Asset is invariant (meaning that it returns the same value from `Asset.toClientURL()` at all times).
    `java.lang.String` | `toString()` | Returns `Asset.toClientURL()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.Asset

      `getResource, toClientURL`

- - ### Constructor Detail

    - #### AbstractAsset

          public AbstractAsset​(boolean invariant)

  - ### Method Detail

    - #### isInvariant

          public boolean isInvariant()

      Description copied from interface: `Asset`
      Returns true if the Asset is invariant (meaning that it returns the same value from `Asset.toClientURL()` at all times). Most Assets are invariant. Assets that are used as binding values will be cached more aggressively by Tapestry if they are invariant. This default implementation returns `false`
      Specified by:
        `isInvariant` in interface `Asset`
      Returns:
        true if invariant
      See Also:
        `AssetPathConverter.isInvariant()`, `Binding.isInvariant()`

    - #### toString

          public java.lang.String toString()

      Returns `Asset.toClientURL()`.
      Overrides:
        `toString` in class `java.lang.Object`